class Epulet

protected: nevtip neve;
	   int helysegekszama;
	   int magassaga;


public: char* nevep() {return neve;}
	int & helyisegekszamar(){return helysegekszama;}

int & magassagar(){ return magassaga;}
}; //oszt lydeklar ci˘

calss Kastely: public Epulet
{ private: int tornyokszama;
	   bool szellemvan;
  public:  int & tornyokszamar()//tornyoksz ma referencia
	   {return tornyokszama;}
	   bool & szellemvan()
	   {return szellemvan;}
}; //sz rmazatott oszt lydeklar ci˘ v‚ge

   Kastely kastely
// oszt lyn‚v, objektumn‚v
Epulet*bankok